#include <stdio.h>
int main(){
	int a=0;
	int base=0;

	while(a<=0) {
		printf("Inserire un numero: ");
		scanf("%d", &a);
	}
	while(base<2 || base>(10+'z'-'a')){
		printf("Inserire la base: ");
		scanf("%d", &base);
	}
	/* Calcolo della conversione in base "base" */
	while(a!=0) {
		int cifra=a%base;
		if (cifra<10) 
			printf("%d", cifra);
		else 
			printf("%c", cifra-10+'a'); 
		a=a/base;
	}
	printf("\n");
	return 0;
}
